# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Sat Oct 30 07:40:44 2021
# ------------------------------------------------

package:
  name: r-randtoolbox
  version: 1.31.1
source:
  sha256: 30992e8156782542e9a2bffb75eb2e35f6d302a8c22cb7c3ed9004f0f0973bad
  url:
    - https://cran.r-project.org/src/contrib/Archive/randtoolbox/randtoolbox_1.31.1.tar.gz
    - https://cran.r-project.org/src/contrib/randtoolbox_1.31.1.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r40he816bda_0
requirements:
  build:
    - m2-autoconf 2.69 4
    - m2-automake-wrapper 10 2
    - m2-automake1.10 1.10.3 4
    - m2-automake1.11 1.11.6 4
    - m2-automake1.12 1.12.6 4
    - m2-automake1.13 1.13.4 5
    - m2-automake1.14 1.14.1 4
    - m2-automake1.15 1.15 3
    - m2-automake1.6 1.6.3 3
    - m2-automake1.7 1.7.9 3
    - m2-automake1.8 1.8.5 4
    - m2-automake1.9 1.9.6 3
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-db 5.3.28 3
    - m2-diffutils 3.3 4
    - m2-filesystem 2016.04 4
    - m2-gawk 4.1.3 2
    - m2-gcc-libs 5.3.0 4
    - m2-gdbm 1.11 4
    - m2-gettext 0.19.7 4
    - m2-glib2 2.48.0 2
    - m2-gmp 6.1.0 3
    - m2-grep 2.22 4
    - m2-libasprintf 0.19.7 4
    - m2-libbz2 1.0.6 3
    - m2-libcrypt 1.3 2
    - m2-libdb 5.3.28 3
    - m2-libffi 3.2.1 2
    - m2-libgcrypt 1.6.4 2
    - m2-libgdbm 1.11 4
    - m2-libgettextpo 0.19.7 4
    - m2-libgpg-error 1.21 2
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-liblzma 5.2.2 2
    - m2-libpcre 8.38 2
    - m2-libreadline 6.3.008 8
    - m2-libxml2 2.9.2 3
    - m2-libxslt 1.1.28 8
    - m2-m4 1.4.17 5
    - m2-make 4.1 5
    - m2-mpfr 3.1.4 2
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-ncurses 6.0.20160220 2
    - m2-perl 5.22.1 2
    - m2-pkg-config 0.29.1 2
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2-zlib 1.2.8 4
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2021.4.0 h57928b3_3556
    - libblas 3.9.0 12_win64_mkl
    - liblapack 3.9.0 12_win64_mkl
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2021.4.0 h0e2418a_729
    - msys2-conda-epoch 20160418 1
    - r-base 4.0.5 hddad469_2
    - r-rngwell 0.10_7 r40h6d2157b_0
    - tbb 2021.4.0 h2d74725_0
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_5
    - vs2015_runtime 14.29.30037 h902a5da_5
  run:
    - m2w64-gcc-libs
    - r-base >=4.0,<4.1.0a0
    - r-rngwell >=0.10_1
test:
  commands:
    - '"%R%" -e "library(''randtoolbox'')"'
about:
  home: https://CRAN.R-project.org/package=randtoolbox
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Provides (1) pseudo random generators - general linear congruential generators,  multiple
    recursive generators and generalized feedback shift register (SF-Mersenne Twister
    algorithm and WELL generators); (2) quasi random generators - the Torus algorithm,
    the Sobol sequence, the Halton sequence (including the Van der Corput sequence)
    and (3) some generator tests - the gap test, the serial test, the poker test.
    See e.g. Gentle (2003) <doi:10.1007/b97336>. The package can be provided without
    the rngWELL dependency on demand. Take a look at the Distribution task view of
    types and tests of random number generators. Version in Memoriam of Diethelm and
    Barbara Wuertz.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
